Subject: bug#24901: Patch updated slightly

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Dec 2016 11:45:12 +0200

> From: Reuben Thomas <[email-masked]>
> Date: Mon, 28 Nov 2016 22:24:39 +0000
> 
> From 4a04639203dca2d5903fd943e5fb2e4ccc7b995f Mon Sep 17 00:00:00 2001
> From: Reuben Thomas <[email-masked]>
> Date: Tue, 8 Nov 2016 11:53:20 +0000
> Subject: [PATCH 1/4] Add support for curly quotation marks to
>  electric-pair-mode
> 
> * lisp/elec-pair.el (electric-pair-pairs, electric-pair-text-pairs): Add
> entries for left/right single/double quotation marks, from
> electric-quote-chars. Note that this is safe for single quotation marks,
> unlike with the ASCII apostrophe, since, although the right quotation
> mark can be used as an apostrophe, it is the left quotation mark that is
> typed to get a pair (Bug#24901).

Can you tell more about this?  The original bug report doesn't include
any rationale, so it's hard for me to make up my mind about this
change.

In particular, I don't understand the last sentence of the log
message; can you elaborate?

Thanks.